UiPath Documentation
automation-cloud
latest
false

Automation Cloud API guide

Last updated May 5, 2026

Get Groups Rules with Quotas

Retrieves the list of users who have acquired licenses from a specific group. Requires an external application with the OrganizationAdmin or LicenseRead policy.

API Endpoint

GET {accessURL}/{organizationName}/lease_/api/account/{organizationId}/user-license/groups/with-quota

Replace {accessURL} in all endpoint paths with the base URL for your cloud platform:

Cloud platformAccess URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud Public Sectorhttps://govcloud.uipath.us/
Automation Cloud Dedicatedhttps://{customURL}.dedicated.uipath.com/

Request headers

--header 'Authorization: Bearer {access_token}'
--header 'Authorization: Bearer {access_token}'

Parameters

Path paramData typeDescription
organizationIdGuidThe ID of the organization in which your tenant resides.

Query Parameters

All query parameters are optional and used for pagination.

ParameterTypeDescription
skipIntegerOffset in results list.
topIntegerNumber of results to return. Maximum: 50.
sortByStringField name for ordering. Use UpperCamelCase C# property names.
sortOrderStringSet direction. Accepted values: asc, desc.

Responses

200 OK - returns the license rules and quota configuration for all groups. 404 - organization does not exist

[
  {
  "results": [
    {
      "groupRule": {
        "id": "guid",
        "name": "string",
        "userBundleLicenses": ["string"],
        "userBundleLeases": { "bundleCode": 0 },
        "useExternalLicense": true,
        "orphan": false,
        "userLicenseBundlesUnavailable": ["string"]
      },
      "quotas": [
        {
          "userBundleCode": "string",
          "limit": 0.0,
          "currentUsage": 0
        }
      ]
    }
  ],
  "totalCount": 0
}
]
[
  {
  "results": [
    {
      "groupRule": {
        "id": "guid",
        "name": "string",
        "userBundleLicenses": ["string"],
        "userBundleLeases": { "bundleCode": 0 },
        "useExternalLicense": true,
        "orphan": false,
        "userLicenseBundlesUnavailable": ["string"]
      },
      "quotas": [
        {
          "userBundleCode": "string",
          "limit": 0.0,
          "currentUsage": 0
        }
      ]
    }
  ],
  "totalCount": 0
}
]

Example request

[
    curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/groups/with-quota' --header 'Authorization: Bearer {access_token}'
]
[
    curl --location --request GET 'https://cloud.uipath.com/my-org/lease_/api/account/1234/user-license/groups/with-quota' --header 'Authorization: Bearer {access_token}'
]

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated